# Class WorkingSetFindAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.SelectionDispatchAction
org.eclipse.jdt.ui.actions.FindAction
org.eclipse.jdt.ui.actions.WorkingSetFindAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener`

public class WorkingSetFindAction extends FindAction
Wraps a `JavaElementSearchActions` to find its results in the specified working set.

The action is applicable to selections and Search view entries representing a Java element.

Note: This class is for internal use only. Clients should not use this class.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`WorkingSetFindAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor, FindAction action, String workingSetName)`
Note: This constructor is for internal use only.
`WorkingSetFindAction(org.eclipse.ui.IWorkbenchSite site, FindAction action, String workingSetName)`
Note: This constructor is for internal use only.

## Method Summary

Modifier and Type
Method
Description
`void`
`run(IJavaElement element)`
Executes this action for the given java element.
`void`
`run(IJavaElement[] elements)`
Executes this action for the given Java element List.

### Methods inherited from class FindAction

`run, run, selectionChanged, selectionChanged`

### Methods inherited from class SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkingSetFindAction

public WorkingSetFindAction(org.eclipse.ui.IWorkbenchSite site, FindAction action, String workingSetName)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `site` - the site
  `action` - the action
  `workingSetName` - the working set name

### WorkingSetFindAction

public WorkingSetFindAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor, FindAction action, String workingSetName)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor (internal type)
  `action` - the action
  `workingSetName` - the working set name
Restriction:
  This constructor is not intended to be referenced by clients.

## Method Details

### run

public void run(IJavaElement element)
Description copied from class: `FindAction`
Executes this action for the given java element.

Overrides:
  `run` in class `FindAction`
Parameters:
  `element` - The java element to be found.

### run

public void run(IJavaElement[] elements)
Description copied from class: `FindAction`
Executes this action for the given Java element List.

Overrides:
  `run` in class `FindAction`
Parameters:
  `elements` - the Java elements to be found